# mgamma_fix Class Reference

Gamma random walk around a fixed point. More...

`#include <libEF.h>`

Inheritance diagram for mgamma_fix:

[legend]
Collaboration diagram for mgamma_fix:

[legend]

List of all members.

## Public Member Functions
| mgamma_fix (const RV &rv, const RV &rvc)
| Constructor.
void | set_parameters (double k0, vec ref0, double l0)
| Set value of `k`.
void | condition (const vec &val)
| Update `ep` so that it represents this mpdf conditioned on `rvc` = cond.
void | set_parameters (double k)
| Set value of `k`.
virtual vec | samplecond (const vec &cond, double &ll)
| Returns the required moment of the epdf.
virtual mat | samplecond (const vec &cond, vec &ll, int N)
| Returns.
virtual double | evalcond (const vec &dt, const vec &cond)
| Shortcut for conditioning and evaluation of the internal epdf. In some cases, this operation can be implemented efficiently.
RV | _rvc ()
| access function
RV | _rv ()
| access function
epdf & | _epdf ()
| access function
## Protected Attributes
double | l
| parameter l
vec | refl
| reference vector
egamma | epdf
| Internal epdf that arise by conditioning on `rvc`.
double | k
| Constant .
vec * | _beta
| cache of epdf.beta
RV | rv
| modeled random variable
RV | rvc
| random variable in condition
epdf * | ep
| pointer to internal epdf

## Detailed Description

Gamma random walk around a fixed point.

Mean value, , of this density is given by a geometric combination of `rvc` and given fixed point, . is the coefficient of the geometric combimation

Standard deviation of the random walk is proportional to one -th the mean. This is achieved by setting and .

The standard deviation of the walk is then: .

## Member Function Documentation

virtual vec mpdf::samplecond | ( | const vec & | cond,
|  | double & | ll |
| ) |  |  | `[inline, virtual, inherited]`

Returns the required moment of the epdf.

Returns a sample from the density conditioned on `cond`, .

Parameters:

  | cond | is numeric value of `rv`
  | ll | is a return value of log-likelihood of the sample.

Reimplemented in mprod.

References mpdf::condition(), mpdf::ep, epdf::evalpdflog(), and epdf::sample().

Referenced by MPF< BM_T >::bayes(), and PF::bayes().

virtual mat mpdf::samplecond | ( | const vec & | cond,
|  | vec & | ll,
|  | int | N |
| ) |  |  | `[inline, virtual, inherited]`

Returns.

Parameters:

  | N | samples from the density conditioned on `cond`, .
  | cond | is numeric value of `rv`
  | ll | is a return value of log-likelihood of the sample.

Reimplemented in mprod.

References mpdf::condition(), RV::count(), mpdf::ep, epdf::evalpdflog(), mpdf::rv, and epdf::sample().

The documentation for this class was generated from the following file:

- work/git/mixpp/bdm/stat/libEF.h